<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Imovel.
    -->
    <changeSet id="20211030043028-1" author="jhipster">
        <createTable tableName="imovel">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="cod_imovel" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="documento_proprietario" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="tipo_imovel" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="endereco_id" type="bigint">
                <constraints nullable="true" unique="true" uniqueConstraintName="ux_imovel__endereco_id" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20211030043028-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/imovel.csv"
                  separator=";"
                  tableName="imovel"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="cod_imovel" type="string"/>
            <column name="documento_proprietario" type="string"/>
            <column name="tipo_imovel" type="string"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
